$(() => {
$('#form').dxForm({
colCount: 2,
formData: employee,
items: [{
dataField: 'FirstName',
editorOptions: {
disabled: true,
},
}, {
dataField: 'Position',
editorType: 'dxSelectBox',
editorOptions: {
items: positions,
searchEnabled: true,
value: '',
},
validationRules: [{
type: 'required',
message: 'Position is required',
}],
}, {
dataField: 'LastName',
editorOptions: {
disabled: true,
},
}, {
dataField: 'HireDate',
editorType: 'dxDateBox',
editorOptions: {
value: null,
width: '100%',
},
validationRules: [{
type: 'required',
message: 'Hire date is required',
}],
}, {
dataField: 'BirthDate',
editorType: 'dxDateBox',
editorOptions: {
disabled: true,
width: '100%',
},
}, 'Address', {
colSpan: 2,
dataField: 'Notes',
editorType: 'dxTextArea',
editorOptions: {
height: 90,
},
}, {
dataField: 'Phone',
editorOptions: {
mask: '+1 (X00) 000-0000',
maskRules: { X: /[02-9]/ },
},
}, 'Email'],
});
$('#form').dxForm('instance').validate();
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/21.2.7/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/21.2.7/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/21.2.7/js/dx.all.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div class="long-title"><h3>Employee Details</h3></div>
<div id="form-container">
<div id="form"></div>
</div>
</div>
</body>
</html>
#form-container {
margin: 10px 10px 30px;
}
.long-title h3 {
font-family: 'Segoe UI Light', 'Helvetica Neue Light', 'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana;
font-weight: 200;
font-size: 28px;
text-align: center;
margin-bottom: 20px;
}
const employee = {
ID: 1,
FirstName: 'John',
LastName: 'Heart',
Position: 'CEO',
BirthDate: '1964/03/16',
HireDate: '1995/01/15',
Notes: 'John has been in the Audio/Video industry since 1990. He has led DevAv as its CEO since 2003.\r\n\r\nWhen not working hard as the CEO, John loves to golf and bowl. He once bowled a perfect game of 300.',
Address: '351 S Hill St., Los Angeles, CA',
Phone: '360-684-1334',
Email: 'jheart@dx-email.com',
};
const positions = [
'HR Manager',
'IT Manager',
'CEO',
'Controller',
'Sales Manager',
'Support Manager',
'Shipping Manager',
];

<div class="long-title">
<h3>Employee Details</h3>
</div>
<div id="form-container">
<dx-form id="form"
[colCount]="2"
[formData]="employee">
<dxi-item dataField="FirstName" [editorOptions]="{ disabled: true }"></dxi-item>
<dxi-item dataField="Position" editorType="dxSelectBox" [editorOptions]="{ items: positions, searchEnabled: true, value: '' }">
<dxi-validation-rule type="required" message="Position is required"></dxi-validation-rule>
</dxi-item>
<dxi-item dataField="LastName" [editorOptions]="{ disabled: true }"></dxi-item>
<dxi-item dataField="HireDate" editorType="dxDateBox" [editorOptions]="{ value: null, width: '100%' }">
<dxi-validation-rule type="required" message="Hire date is required"></dxi-validation-rule>
</dxi-item>
<dxi-item dataField="BirthDate" editorType="dxDateBox" [editorOptions]="{ disabled: true, width: '100%' }"></dxi-item>
<dxi-item dataField="Address"></dxi-item>
<dxi-item dataField="Notes" editorType="dxTextArea" [editorOptions]="{ height: 90 }" [colSpan]="2"></dxi-item>
<dxi-item dataField="Phone" [editorOptions]="{ mask: '+1 (X00) 000-0000', maskRules: rules }"></dxi-item>
<dxi-item dataField="Email"></dxi-item>
</dx-form>
</div>
import { NgModule, Component, ViewChild, enableProdMode, AfterViewInit } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxSelectBoxModule,
DxTextAreaModule,
DxFormModule,
DxFormComponent } from 'devextreme-angular';
import { Employee, Service } from './app.service';
if(!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
providers: [ Service ],
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css']
})
export class AppComponent implements AfterViewInit {
@ViewChild(DxFormComponent, { static: false }) myform: DxFormComponent;
employee: Employee;
positions: string[];
rules: Object;
constructor(service: Service) {
this.employee = service.getEmployee();
this.positions = service.getPositions();
this.rules = { 'X': /[02-9]/ };
}
ngAfterViewInit() {
this.myform.instance.validate()
}
}
@NgModule({
imports: [
BrowserModule,
DxSelectBoxModule,
DxTextAreaModule,
DxFormModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #form-container {
margin: 10px 10px 30px;
}
::ng-deep #button {
float: right;
margin-top: 20px;
}
::ng-deep .long-title h3 {
font-family: 'Segoe UI Light', 'Helvetica Neue Light', 'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana;
font-weight: 200;
font-size: 28px;
text-align: center;
margin-bottom: 20px;
}
import { Injectable } from '@angular/core';
export class Employee {
ID: number;
FirstName: string;
LastName: string;
Position: string;
BirthDate: string;
HireDate: string;
Notes: string;
Address: string;
Phone: string;
Email: string;
}
let employee : Employee = {
ID: 1,
FirstName: "John",
LastName: "Heart",
Position: "CEO",
BirthDate: "1964/03/16",
HireDate: "1995/01/15",
Notes: "John has been in the Audio/Video industry since 1990. He has led DevAv as its CEO since 2003.\r\n\r\nWhen not working hard as the CEO, John loves to golf and bowl. He once bowled a perfect game of 300.",
Address: "351 S Hill St., Los Angeles, CA",
Phone: "360-684-1334",
Email: "jheart@dx-email.com"
};
let positions : string[] = [
"HR Manager",
"IT Manager",
"CEO",
"Controller",
"Sales Manager",
"Support Manager",
"Shipping Manager"
];
@Injectable()
export class Service {
getEmployee() : Employee {
return employee;
}
getPositions() : string[] {
return positions
}
}
// In real applications, you should not transpile code in the browser. You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
System.config({
transpiler: 'ts',
typescriptOptions: {
module: "system",
emitDecoratorMetadata: true,
experimentalDecorators: true
},
meta: {
'typescript': {
"exports": "ts"
},
'devextreme/localization.js': {
"esModule": true
}
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@3.5.3/lib/typescript.js',
'@angular': 'npm:@angular',
'tslib': 'npm:tslib@2.1.0/tslib.js',
'rxjs': 'npm:rxjs@6.4.0',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.5',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.11',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.18',
'devextreme-angular': 'npm:devextreme-angular@20.2.5',
'preact': 'npm:preact@10.5.11/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.11/hooks/dist/hooks.js'
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
packageConfigPaths: [
"npm:@angular/*/package.json",
"npm:@angular/common/*/package.json",
"npm:rxjs/package.json",
"npm:rxjs/operators/package.json",
"npm:devextreme-angular/*/package.json",
"npm:devextreme-angular/ui/*/package.json",
"npm:devextreme-angular/package.json",
"npm:devexpress-diagram/package.json",
"npm:devexpress-gantt/package.json",
]
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.10.2/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import('app').catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

<template>
<DxForm
:on-content-ready="validateForm"
:form-data="employee"
>
<DxGroupItem
:col-count="2"
caption="Employee Details"
>
<DxItem
:editor-options="nameEditorOptions"
data-field="FirstName"
>
<DxLabel template="nameLabel"/>
</DxItem>
<DxItem
:editor-options="positionEditorOptions"
:validation-rules="validationRules.position"
data-field="Position"
editor-type="dxSelectBox"
>
<DxLabel template="positionLabel"/>
</DxItem>
<DxItem
:editor-options="nameEditorOptions"
data-field="LastName"
>
<DxLabel template="nameLabel"/>
</DxItem>
<DxItem
:editor-options="hireDateEditorOptions"
:validation-rules="validationRules.hireDate"
data-field="HireDate"
editor-type="dxDateBox"
>
<DxLabel template="dateLabel"/>
</DxItem>
<DxItem
:editor-options="birthDateEditorOptions"
data-field="BirthDate"
editor-type="dxDateBox"
>
<DxLabel template="dateLabel"/>
</DxItem>
<DxItem
data-field="Address"
>
<DxLabel template="addressLabel"/>
</DxItem>
<DxItem
:col-span="2"
:editor-options="notesEditorOptions"
data-field="Notes"
editor-type="dxTextArea"
>
<DxLabel template="notesLabel"/>
</DxItem>
<DxItem
:editor-options="phoneEditorOptions"
data-field="Phone"
>
<DxLabel template="phoneLabel"/>
</DxItem>
<DxItem
data-field="Email"
>
<DxLabel template="emailLabel"/>
</DxItem>
</DxGroupItem>
<template #nameLabel="{ data }">
<LabelTemplate
:data="data"
icon="user"
/>
</template>
<template #positionLabel="{ data }">
<LabelTemplate
:data="data"
icon="info"
/>
</template>
<template #dateLabel="{ data }">
<LabelTemplate
:data="data"
icon="event"
/>
</template>
<template #addressLabel="{ data }">
<LabelTemplate
:data="data"
icon="home"
/>
</template>
<template #notesLabel="{ data }">
<LabelNotesTemplate
:data="data"
/>
</template>
<template #phoneLabel="{ data }">
<LabelTemplate
:data="data"
icon="tel"
/>
</template>
<template #emailLabel="{ data }">
<LabelTemplate
:data="data"
icon="email"
/>
</template>
</DxForm>
</template>
<script>
import {
DxForm, DxItem, DxLabel, DxGroupItem,
} from 'devextreme-vue/form';
import { DxTooltip } from 'devextreme-vue/tooltip';
import service from './data.js';
import 'devextreme-vue/text-area';
import LabelTemplate from './LabelTemplate.vue';
import LabelNotesTemplate from './LabelNotesTemplate.vue';
export default {
components: {
DxForm,
DxItem,
DxLabel,
DxTooltip,
DxGroupItem,
LabelTemplate,
LabelNotesTemplate,
},
data() {
const employee = service.getEmployee();
const positions = service.getPositions();
return {
employee,
positions,
validationRules: {
position: [
{ type: 'required', message: 'Position is required.' },
],
hireDate: [
{ type: 'required', message: 'Hire Date is required.' },
],
},
nameEditorOptions: { disabled: true },
positionEditorOptions: { items: positions, searchEnabled: true, value: '' },
hireDateEditorOptions: { width: '100%', value: null },
birthDateEditorOptions: { width: '100%', disabled: true },
notesEditorOptions: { height: 90, maxLength: 200 },
phoneEditorOptions: { mask: '+1 (X00) 000-0000', maskRules: { X: /[02-9]/ } },
};
},
methods: {
validateForm(e) {
e.component.validate();
},
},
};
</script>
<template>
<div id="template-content">
<i
id="helpedInfo"
class="dx-icon dx-icon-info"
/>
Additional
<br>
{{ data.text }}
<DxTooltip
target="#helpedInfo"
show-event="mouseenter"
hide-event="mouseleave"
>
<template #content>
<div id="tooltip-content">This field must not exceed 200 characters</div>
</template>
</DxTooltip>
</div>
</template>
<script>
import { DxTooltip } from 'devextreme-vue/tooltip';
export default {
components: {
DxTooltip,
},
props: {
data: {
type: Object,
default: () => {},
},
},
};
</script>
<style scoped>
#helpedInfo {
color: #42a5f5;
}
#tooltip-content {
font-size: 14px;
font-weight: bold;
}
#template-content {
display: inline-flex;
}
</style>
<template>
<div>
<i :class="iconClass"/>{{ data.text }}
</div>
</template>
<script>
export default {
props: {
data: {
type: Object,
default: () => {},
},
icon: {
type: String,
default: 'info',
},
},
data() {
return {
iconClass: `dx-icon dx-icon-${this.icon}`,
};
},
};
</script>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.3/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.6.3/css/font-awesome.min.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
const employee = {
ID: 1,
FirstName: 'John',
LastName: 'Heart',
Position: 'CEO',
BirthDate: '1964/03/16',
HireDate: '1995/01/15',
Notes: 'John has been in the Audio/Video industry since 1990. He has led DevAv as its CEO since 2003.\r\n\r\nWhen not working hard as the CEO, John loves to golf and bowl. He once bowled a perfect game of 300.',
Address: '351 S Hill St., Los Angeles, CA',
Phone: '360-684-1334',
Email: 'jheart@dx-email.com',
};
const positions = [
'HR Manager',
'IT Manager',
'CEO',
'Controller',
'Sales Manager',
'Support Manager',
'Shipping Manager',
];
export default {
getEmployee() {
return employee;
},
getPositions() {
return positions;
},
};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.2.41/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.3/cjs',
'devextreme-vue': 'npm:devextreme-vue@22.2.3',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.18/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.65/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.37/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.7.1/standalone.js',
'prettier/parser-html': 'npm:prettier@2.7.1/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);

import React from 'react';
import 'devextreme-react/text-area';
import Form, { Item } from 'devextreme-react/form';
import service from './data.js';
class App extends React.Component {
constructor(props) {
super(props);
this.employee = service.getEmployee();
this.positions = service.getPositions();
this.rules = { 'X': /[02-9]/ };
this.validationRules = {
position: [
{ type: 'required', message: 'Position is required.' },
],
hireDate: [
{ type: 'required', message: 'Hire Date is required.' }
]
};
this.validateForm = (e) => {
e.component.validate();
};
}
render() {
return (
<React.Fragment>
<div className="long-title"><h3>Employee Details</h3></div>
<div className="form-container">
<Form
onContentReady={this.validateForm}
colCount={2}
id="form"
formData={this.employee}>
<Item dataField="FirstName" editorOptions={{ disabled: true }} />
<Item dataField="Position" editorType="dxSelectBox" editorOptions={{ items: this.positions, searchEnabled: true, value: '' }} validationRules={this.validationRules.position} />
<Item dataField="LastName" editorOptions={{ disabled: true }} />
<Item dataField="HireDate" editorType="dxDateBox" editorOptions={{ width: '100%', value: null }} validationRules={this.validationRules.hireDate} />
<Item dataField="BirthDate" editorType="dxDateBox" editorOptions={{ width: '100%', disabled: true }} />
<Item dataField="Address" />
<Item dataField="Notes" colSpan={2} editorType="dxTextArea" editorOptions={{ height: 90 }} />
<Item dataField="Phone" editorOptions={{ mask: '+1 (X00) 000-0000', maskRules: this.rules }} />
<Item dataField="Email" />
</Form>
</div>
</React.Fragment>
);
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app')
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.6.3/css/font-awesome.min.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
.form-container {
margin: 10px 10px 30px;
}
.long-title h3 {
font-family: 'Segoe UI Light', 'Helvetica Neue Light', 'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana;
font-weight: 200;
font-size: 28px;
text-align: center;
margin-bottom: 20px;
}
const employee = {
ID: 1,
FirstName: 'John',
LastName: 'Heart',
Position: 'CEO',
BirthDate: '1964/03/16',
HireDate: '1995/01/15',
Notes: 'John has been in the Audio/Video industry since 1990. He has led DevAv as its CEO since 2003.\r\n\r\nWhen not working hard as the CEO, John loves to golf and bowl. He once bowled a perfect game of 300.',
Address: '351 S Hill St., Los Angeles, CA',
Phone: '360-684-1334',
Email: 'jheart@dx-email.com'
};
const positions = [
'HR Manager',
'IT Manager',
'CEO',
'Controller',
'Sales Manager',
'Support Manager',
'Shipping Manager'
];
export default {
getEmployee() {
return employee;
},
getPositions() {
return positions;
}
};
System.config({
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
"esModule": true
},
},
paths: {
'npm:': 'https://unpkg.com/'
},
defaultExtension: 'js',
map: {
'react': 'npm:react@16.14.0/umd/react.development.js',
'react-dom': 'npm:react-dom@16.14.0/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.7.2/prop-types.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.5',
'devextreme-react': 'npm:devextreme-react@20.2.5',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.11/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.18/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.11/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.11/hooks/dist/hooks.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme': {
defaultExtension: 'js'
},
'devextreme-react': {
main: 'index.js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true,
react: true
}
});